tml; charset=UTF-8
Last-Modified: Mon, 20 Jan 2025 07:12:26 GMT
Expires: Thu, 18 Jan 2035 07:12:26 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>Speedup getTileInfo by up to 30% - minetest.git - modified minetest for gpcfs purposes</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/static/cgit.css'/>
<link rel='shortcut icon' href='//bananach.space/favicon.png'/>
<link rel='alternate' title='Atom feed' href='https://git.bananach.space/minetest.git/atom/src/event.h?h=release' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='//bananach.space/bananach.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/minetest.git/'>minetest.git</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='496cb115b11fcf55b70abbf2c527f65ddf42cc75'/><select name='h' onchange='this.form.submit();'>
<option value='gpcf'>gpcf</option>
<option value='lifo-fixes'>lifo-fixes</option>
<option value='release' selected='selected'>release</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>modified minetest for gpcfs purposes</td><td class='sub right'>gpcf</td></tr></table>
<table class='tabs'><tr><td>
<a href='/minetest.git/about/?h=release'>about</a><a href='/minetest.git/?h=release'>summary</a><a href='/minetest.git/refs/?h=release&amp;id=496cb115b11fcf55b70abbf2c527f65ddf42cc75'>refs</a><a href='/minetest.git/log/src/event.h?h=release'>log</a><a href='/minetest.git/tree/src/event.h?h=release&amp;id=496cb115b11fcf55b70abbf2c527f65ddf42cc75'>tree</a><a class='active' href='/minetest.git/commit/src/event.h?h=release&amp;id=496cb115b11fcf55b70abbf2c527f65ddf42cc75'>commit</a><a href='/minetest.git/diff/src/event.h?h=release&amp;id=496cb115b11fcf55b70abbf2c527f65ddf42cc75'>diff</a></td><td class='form'><form class='right' method='get' action='/minetest.git/log/src/event.h'>
<input type='hidden' name='h' value='release'/><input type='hidden' name='id' value='496cb115b11fcf55b70abbf2c527f65ddf42cc75'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/minetest.git/commit/?h=release&amp;id=496cb115b11fcf55b70abbf2c527f65ddf42cc75'>root</a>/<a href='/minetest.git/commit/src?h=release&amp;id=496cb115b11fcf55b70abbf2c527f65ddf42cc75'>src</a>/<a href='/minetest.git/commit/src/event.h?h=release&amp;id=496cb115b11fcf55b70abbf2c527f65ddf42cc75'>event.h</a></div><div class='content'><div class='cgit-panel'><b>diff options</b><form method='get'><input type='hidden' name='h' value='release'/><input type='hidden' name='id' value='496cb115b11fcf55b70abbf2c527f65ddf42cc75'/><table><tr><td colspan='2'/></tr><tr><td class='label'>context:</td><td class='ctrl'><select name='context' onchange='this.form.submit();'><option value='1'>1</option><option value='2'>2</option><option value='3' selected='selected'>3</option><option value='4'>4</option><option value='5'>5</option><option value='6'>6</option><option value='7'>7</option><option value='8'>8</option><option value='9'>9</option><option value='10'>10</option><option value='15'>15</option><option value='20'>20</option><option value='25'>25</option><option value='30'>30</option><option value='35'>35</option><option value='40'>40</option></select></td></tr><tr><td class='label'>space:</td><td class='ct<span class="hl kwa">name</span> = testfood
<span class="hl kwa">description</span> = For testing food items
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.39.1</a>) at 2025-01-20 07:12:26 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
/select></td></tr><tr><td/><td class='ctrl'><noscript><input type='submit' value='reload'/></noscript></td></tr></table></form></div><table summary='commit info' class='commit-info'>
<tr><th>author</th><td>sapier &lt;Sapier at GMX dot net&gt;</td><td class='right'>2014-06-07 01:52:07 +0200</td></tr>
<tr><th>committer</th><td>sapier &lt;Sapier at GMX dot net&gt;</td><td class='right'>2014-06-23 00:13:41 +0200</td></tr>
<tr><th>commit</th><td colspan='2' class='oid'><a href='/minetest.git/commit/src/event.h?h=release&amp;id=496cb115b11fcf55b70abbf2c527f65ddf42cc75'>496cb115b11fcf55b70abbf2c527f65ddf42cc75</a> (<a href='/minetest.git/patch/src/event.h?id=496cb115b11fcf55b70abbf2c527f65ddf42cc75'>patch</a>)</td></tr>
<tr><th>tree</th><td colspan='2' class='oid'><a href='/minetest.git/tree/?h=release&amp;id=496cb115b11fcf55b70abbf2c527f65ddf42cc75'>2d86a7d3fffa9091056ac760201f55319565720a</a> /<a href='/minetest.git/tree/src/event.h?h=release&amp;id=496cb115b11fcf55b70abbf2c527f65ddf42cc75'>src/event.h</a></td></tr>
<tr><th>parent</th><td colspan='2' class='oid'><a href='/minetest.git/commit/src/event.h?h=release&amp;id=5d06bdf8ac3b38b1ffb400fd771a245589d92ad1'>5d06bdf8ac3b38b1ffb400fd771a245589d92ad1</a> (<a href='/minetest.git/diff/src/event.h?h=release&amp;id=496cb115b11fcf55b70abbf2c527f65ddf42cc75&amp;id2=5d06bdf8ac3b38b1ffb400fd771a245589d92ad1'>diff</a>)</td></tr><tr><th>download</th><td colspan='2' class='oid'><a href='/minetest.git/snapshot/minetest-496cb115b11fcf55b70abbf2c527f65ddf42cc75.tar.gz'>minetest-496cb115b11fcf55b70abbf2c527f65ddf42cc75.tar.gz</a><br/><a href='/minetest.git/snapshot/minetest-496cb115b11fcf55b70abbf2c527f65ddf42cc75.tar.bz2'>minetest-496cb115b11fcf55b70abbf2c527f65ddf42cc75.tar.bz2</a><br/><a href='/minetest.git/snapshot/minetest-496cb115b11fcf55b70abbf2c527f65ddf42cc75.zip'>minetest-496cb115b11fcf55b70abbf2c527f65ddf42cc75.zip</a><br/></td></tr></table>
<div class='commit-subject'>Speedup getTileInfo by up to 30%</div><div class='commit-msg'></div><div class='diffstat-header'><a href='/minetest.git/diff/?h=release&amp;id=496cb115b11fcf55b70abbf2c527f65ddf42cc75'>Diffstat</a> (limited to 'src/event.h')</div><table summary='diffstat' class='diffstat'></table><div class='diffstat-summary'>0 files changed, 0 insertions, 0 deletions</div><table summary='diff' class='diff'><tr><td></td></tr></table></div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.39.1</a>) at 2025-01-20 07:12:26 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
